<?php
require_once('nusoap.php'); // include the nusoap classes

$s = new soap_server; // instantiate the server object, provide by soap_server classes

$s->register('geraNumAleatorio'); /*to allow our function to be called remotely, we must
register it with the web server object. If this is not done server will generate
a fault indicating that the service is not available if a client accesses the
service. In the absence of such a registration process, any PHP functions would
be remotely available, which would present a serious security risk.*/

function geraNumAleatorio($min){/*Now define our simple function that we are exposing as
service. Notice that we first check to make sure a string (version info) was
passed. If the parameter is not a string, we use the soap_fault class to return
an error to the client.*/

    $max=900;
    if (($min < 0) || ($max < 0))
    {
        return new soap_fault('Client','','Tem de introduzir dois nmeros no negativos!');
    }

    if ($max < $min)
    {
        return new soap_fault('Client','','O valor de mximo introduzido  superior ao valor de mnimo introduzido!');
    }

    srand((double)microtime()*1000000);
    $numAleatorio = rand($min, $max);
    return $numAleatorio;
}

$s->service($GLOBALS["HTTP_RAW_POST_DATA"]); /*The final step is to pass any
incoming posted data to the SOAP server's service method. The method processes
the incoming request and calls the appropriate function (in our case geraNumAleatorio()).*
It will the formulate the response. */
?>
